Subject: Re: bug#20895: [patch] lexical binding broke part of sgml-mode.el

From: Eli Zaretskii <[email-masked]>
Date: Thu, 25 Jun 2015 17:34:31 +0300

> From: Stephen Berman <[email-masked]>
> Date: Thu, 25 Jun 2015 12:42:35 +0200
> 
> The following change broke some functionality in sgml-mode.el:
> 
>    commit 84e0b7dad6f1a8e53261f9b96f5a9080fea681a4
>    Author: Stefan Monnier <[email-masked]>
>    Date:   Mon Apr 13 15:51:15 2015 -0400
>    [...]
>        * lisp/textmodes/sgml-mode.el: Use lexical-binding.
> 
> To see the bug, visit an (X)HTML file and insert a tag (`C-c C-t') that
> takes an attribute, such `p' or `a'.
> 
> The following patch fixes the problems I have encountered, but I'm not
> sure if further adjustments are needed, so I'll defer to whoever knows
> the code better about whether to commit it as is.

Whatever comes out of this discussion, would you please consider
adding a suitable test to sgml-mode-tests.el?  TIA.